LabVIEW

cancel
Showing results for 
Search instead for 
Did you mean: 

NI-DAQmx

Solved!
Go to solution

Seems a common problem in that I cant find NI-DAQmx in my Functions folder.

 

All I have under Measurement I/O is

ssoper_0-1625127269558.png

Chased down the packages in NI Package Manager, tells me its all ok (obviously not!). Left my laptop doing a repair on it last night (takes forever) and still the same this morning.

 

I have previously wiped the machine clean and reinstalled NI so that didn't resolve it. Maybe that caused it?

 

Any help? 

 

0 Kudos
Message 1 of 8
(2,451 Views)

What's your LabVIEW version?

What version of DAQmx did you install?

 

Be aware that any DAQmx version will only support the 4 previous LabVIEW versions.

 

Regards, Jens

Kudos are welcome...
0 Kudos
Message 2 of 8
(2,441 Views)

See screenshot from MAX

ssoper_0-1625128834545.png

 

Thanks

Steve

0 Kudos
Message 3 of 8
(2,434 Views)
Hi,
well, that should work, if you install LabVIEW 2020 first and after that DAQmx 20.7
Sorry, but I am at a loss now...
Regards, Jens
Kudos are welcome...
0 Kudos
Message 4 of 8
(2,425 Views)

Hi Jens

 

In the process of uninstalling it all (again) and then install it in an order to hopefully work.

 

You would think that a big software company would be able to write an installer/package manager that would handle this for you 🙂

 

This will wipe out most of this mornings productivity waiting on it.

Cheers

Steve

0 Kudos
Message 5 of 8
(2,421 Views)

Hi Steve,

 

if everything is correct the NI package manager should show a package "NI-DAQmx - support for LabVIEW xxxx" (or similar) under "installed package". That is at least how it is on my system (although I am still running only DAQmx 20.1).

 

Regards, Jens

Kudos are welcome...
Message 6 of 8
(2,379 Views)
Solution
Accepted by topic author ssoper

Hi Jens

 

Took the plunge and un-installed both NI-DAQmx and LabVIEW then reinstalled them.  Seems to have sorted it.

 

Cheers

Steve

0 Kudos
Message 7 of 8
(2,375 Views)

Hi,

 

I have LabVIEW 2017 and have installed NI-DAQmx 20.7. NI MAX is running correctly. 

 

But I cant find NI-DAQmx under 'Hardware Input and Output' in 'Find examples'. Also, under installed in NI Package Manager, I cant find NI-DAQmx - support for LabVIEW 2017, as you have said(It is a little different).

 

I have attached the NI-DAQmx installed files. Could you tell me what might be the issue?

 

Ram8_0-1700825717713.png

 

0 Kudos
Message 8 of 8
(771 Views)